<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/wishlist.php';
require '../usuario/decodeUsuario.php';
$response = array();

if (
    !isset($_POST['id_usuario']) ||
    !isset($_POST['id_producto'])
) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_usuario = DecodeUser::handlePostUsuario($_POST['id_usuario']);
$id_producto = $_POST['id_producto'];

$eliminarProductoWishlist = Wishlist::mdlDeleteProductoWishlist($id_producto, $id_usuario);

if (!$eliminarProductoWishlist) {
    $response['response'] = 'error';
    $response['data'] = 'No se elimino el producto de la wishlist';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = 'Producto eliminado de la wishlist';
echo json_encode($response);